<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "{{%product}}".
 *
 * @property integer $id
 * @property string $name
 * @property string $price
 * @property string $description
 * @property string $count
 * @property string $image
 * @property integer $isenabled
 */
class Product extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%product}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'price', 'description', 'count', 'image', 'isenabled'], 'required'],
            [['isenabled'], 'integer'],
            [['name', 'price'], 'string', 'max' => 60],
            [['description', 'image'], 'string', 'max' => 255],
            [['count'], 'string', 'max' => 32]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'price' => Yii::t('app', 'Price'),
            'description' => Yii::t('app', 'Description'),
            'count' => Yii::t('app', 'Count'),
            'image' => Yii::t('app', 'Image'),
            'isenabled' => Yii::t('app', 'Isenabled'),
        ];
    }
}
